# $Revision: 1.31 $, $Date: 2009/10/19 12:35:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Accessor
Summary:	Class::Accessor - automated accessor generation
Summary(pl.UTF-8):	Class::Accessor - automatyczne generowanie składowych accessor
Name:		perl-Class-Accessor
Version:	0.34
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0d9640d237a13276145f7e44b4855b89
URL:		http://search.cpan.org/dist/Class-Accessor/
Patch0:		%{name}-require.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module automatically generates accessor/mutators for your class.

%description -l pl.UTF-8
Ten moduł automatycznie generuje składniki accessor/mutator dla klas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Accessor.spec,v $
Revision 1.31  2009/10/19 12:35:37  amateja
- updated to 0.34

Revision 1.30  2009/06/16 12:30:43  amateja
- updated to 0.33

Revision 1.29  2007/10/27 15:49:17  radek
- version 0.31

Revision 1.28  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.26  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.25  2006/07/26 20:49:18  glen
- cleanup files after patching, rel 2

Revision 1.24  2006/07/26 18:40:13  glen
- 0.27, generic URL, corrected License

Revision 1.23  2005/11/18 19:27:13  migo
- up to 0.22

Revision 1.22  2004/11/03 22:30:09  paladine
- formatting

Revision 1.21  2004/06/05 20:03:53  radek
- unfold macros in %summary

Revision 1.20  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.19  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.18  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.16  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.15  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.14  2004/03/06 22:06:44  adamg
- updated to 0.19

Revision 1.13  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/04/11 13:21:18  qboosh
- merge from RA-branch: up to 0.18, tests on bcond
- release 2

Revision 1.7  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:11  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:27:58  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/24 11:55:57  ankry
- fixed required perl version (-require.patch)
- added Changes to %doc
- release 2

Revision 1.2  2002/07/23 11:11:57  qboosh
- short pl description

Revision 1.1  2002/07/23 02:14:10  radek
- new, STBR
